Bug 246090 - Connector can't be started in offline mode.
Connector can't be started in offline mode.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
12
i386 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 10:08 EDT by Matthew Saltzman
Modified: 2010-12-05 02:15 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:15:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2007-06-28 10:08:41 EDT
Description of problem:
If I have an exchange account and the OWA server is not accessible, Evolution
freezes solid on startup and must be killed by hand.

Version-Release number of selected component (if applicable):
evolution-connector-2.10.2-2.fc7

How reproducible:
Always

Steps to Reproduce:
1. Create an Exchange account
2. Restart Evolution
3. Restart Evolution with --offline option
  
Actual results:
If the OWA server is inaccessible (I'm trying to find out what its failure mode
is), then Evo opens the password prompt window and freezes.  Starting with
--offline option does not change the outcome.


Expected results:
Evo either accepts the password and connects or times out, or it does not
attempt to connect at all.

Evo started with the --offline option should not attempt to connect to the OWA
server at all.

Additional info:
The only workaround I've found is to remove evolution-connector completely. 
This causes the Exchange account to have no server type.  I can then disable
that account and work with my other accounts normally.

Reported upstream as http://bugzilla.gnome.org/show_bug.cgi?id=451678.
Comment 1 Matthew Saltzman 2007-06-29 22:59:11 EDT
OK The freeze happens if the GNOME mail notification applet is set to watch an
Exchange mailbox via Evolution.  I'll file a separate bug against
mail-notification-evolution-plugin (here and upstream) for that issue.  But the
fact that Evo tries to connect to Exchange even if started with the --offline
option is still an issue.
Comment 2 Matthew Barnes 2007-07-16 12:32:43 EDT
Updating summary: "Connector can't be started in offline mode"
Comment 3 Matthew Barnes 2007-10-02 14:23:08 EDT
Is this problem still present in Fedora 8 Test 2 or later?
Comment 4 Matthew Saltzman 2007-10-03 16:46:38 EDT
Yes.  Also, I can get the hanging behavior simply by disconnecting the network
completely before starting Evo.

A possibly related issue: If the network disconnects and reconnects during the
Evo session (I'm having wireless issues...), the session may not reconnect or it
may appear to reconnect but not be able to update any folders.
Comment 5 Bug Zapper 2008-11-26 02:22:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthew Saltzman 2008-12-28 13:04:33 EST
Still an issue with Fedora 10 evolution-2.24.2-3.fc10.x86_64.
Comment 7 Bug Zapper 2009-11-18 04:32:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matthew Saltzman 2009-11-28 22:43:41 EST
Updated to F11.  Finally tested and it still doesn't work.  Access to my Exchange global catalog requires a VPN connection.  If I start without the VPN activated, Evo just hangs--if I start in a terminal window, the hang occurs after a startup message and several blank lines but no further messages.

I plan to upgrade to F12 soon, and will try again after that.
Comment 9 Bug Zapper 2010-04-27 07:44:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matthew Saltzman 2010-04-27 10:23:23 EDT
Still a problem in evolution-2.28.3-1.fc12.x86_64.
Comment 11 Bug Zapper 2010-11-04 08:09:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 02:15:45 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.